xcb_input_set_device_focus(3)

NAME
xcb_input_set_device_focus -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_void_cookie_t xcb_input_set_device_focus(xcb_connection_t *conn, xcb_window_t focus, xcb_timestamp_t time, uint8_t revert_to, uint8_t device_id);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

focus
    TODO: NOT YET DOCUMENTED.

time
    TODO: NOT YET DOCUMENTED.

revert_to
    TODO: NOT YET DOCUMENTED.

device_id
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_input_set_device_focus_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.